Bug 1189958 - Stack smashing while using a lot of connections
Summary: Stack smashing while using a lot of connections
Keywords:
Status: CLOSED ERRATA
Alias: None
Product: Fedora EPEL
Classification: Fedora
Component: fcgi
Version: epel7
Hardware: Unspecified
OS: Unspecified
unspecified
unspecified
Target Milestone: ---
Assignee: Till Maas
QA Contact: Fedora Extras Quality Assurance
URL:
Whiteboard:
Depends On:
Blocks: CVE-2012-6687
TreeView+ depends on / blocked
 
Reported: 2015-02-06 00:38 UTC by joe
Modified: 2015-04-30 11:48 UTC (History)
5 users (show)

Fixed In Version: fcgi-2.4.0-26.fc20
Doc Type: Bug Fix
Doc Text:
Clone Of:
Environment:
Last Closed: 2015-02-14 02:51:51 UTC


Attachments (Terms of Use)


Links
System ID Priority Status Summary Last Updated
Debian BTS 681591 None None None Never
Launchpad 933417 None None None Never

Description joe 2015-02-06 00:38:12 UTC
A stack-smashing bug for fcgi was reported to Ubuntu and subsequently patched in both Ubuntu and Debian.

According to the bug report, if more than 1024 connections are received, a segfault can occur.

A patch is provided with the bug reports:

https://bugs.launchpad.net/ubuntu/+source/libfcgi/+bug/933417

and the report at debian:

https://bugs.debian.org/cgi-bin/bugreport.cgi?bug=681591

Comment 1 Fedora Update System 2015-02-06 13:02:02 UTC
fcgi-2.4.0-26.fc21 has been submitted as an update for Fedora 21.
https://admin.fedoraproject.org/updates/fcgi-2.4.0-26.fc21

Comment 2 Fedora Update System 2015-02-06 13:02:08 UTC
fcgi-2.4.0-26.fc20 has been submitted as an update for Fedora 20.
https://admin.fedoraproject.org/updates/fcgi-2.4.0-26.fc20

Comment 3 Fedora Update System 2015-02-06 13:02:13 UTC
fcgi-2.4.0-12.el6 has been submitted as an update for Fedora EPEL 6.
https://admin.fedoraproject.org/updates/fcgi-2.4.0-12.el6

Comment 4 Fedora Update System 2015-02-06 13:02:20 UTC
fcgi-2.4.0-13.el5 has been submitted as an update for Fedora EPEL 5.
https://admin.fedoraproject.org/updates/fcgi-2.4.0-13.el5

Comment 5 Fedora Update System 2015-02-06 13:02:26 UTC
fcgi-2.4.0-25.el7 has been submitted as an update for Fedora EPEL 7.
https://admin.fedoraproject.org/updates/fcgi-2.4.0-25.el7

Comment 6 Fedora Update System 2015-02-06 20:47:03 UTC
Package fcgi-2.4.0-25.el7:
* should fix your issue,
* was pushed to the Fedora EPEL 7 testing repository,
* should be available at your local mirror within two days.
Update it with:
# su -c 'yum update --enablerepo=epel-testing fcgi-2.4.0-25.el7'
as soon as you are able to.
Please go to the following url:
https://admin.fedoraproject.org/updates/FEDORA-EPEL-2015-0650/fcgi-2.4.0-25.el7
then log in and leave karma (feedback).

Comment 7 joe 2015-02-06 21:52:46 UTC
I have a PoC that reproduces the segfault on CentOS 7 and I have confirmed that after upgrading to fcgi-2.4.0-25.el7, the segfault stops.

Not sure if it's the best idea to post the PoC here, so please contact me directly and I will be happy to provide details.

Comment 8 Christopher Meng 2015-02-07 07:57:36 UTC
(In reply to joe from comment #7)
> I have a PoC that reproduces the segfault on CentOS 7 and I have confirmed
> that after upgrading to fcgi-2.4.0-25.el7, the segfault stops.
> 
> Not sure if it's the best idea to post the PoC here, so please contact me
> directly and I will be happy to provide details.

Please cc me if Till needs it, or send me directly.

Comment 9 Fedora Update System 2015-02-14 02:51:51 UTC
fcgi-2.4.0-25.el7 has been pushed to the Fedora EPEL 7 stable repository.  If problems still persist, please make note of it in this bug report.

Comment 10 Fedora Update System 2015-02-15 20:40:24 UTC
fcgi-2.4.0-12.el6 has been pushed to the Fedora EPEL 6 stable repository.  If problems still persist, please make note of it in this bug report.

Comment 11 Fedora Update System 2015-02-15 20:40:33 UTC
fcgi-2.4.0-13.el5 has been pushed to the Fedora EPEL 5 stable repository.  If problems still persist, please make note of it in this bug report.

Comment 12 Fedora Update System 2015-04-30 11:46:42 UTC
fcgi-2.4.0-26.fc21 has been pushed to the Fedora 21 stable repository.  If problems still persist, please make note of it in this bug report.

Comment 13 Fedora Update System 2015-04-30 11:48:23 UTC
fcgi-2.4.0-26.fc20 has been pushed to the Fedora 20 stable repository.  If problems still persist, please make note of it in this bug report.


Note You need to log in before you can comment on or make changes to this bug.